Bug 1565452 - Can no longer make gnome-shell extensions globally accessable.
Summary: Can no longer make gnome-shell extensions globally accessable.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 04:00 UTC by Leslie Satenstein
Modified: 2019-05-09 19:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-09 19:15:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Leslie Satenstein 2018-04-10 04:00:01 UTC
Description of problem:

Please refer to my comment with bug 1516464 (see below)

Prior to gnome 3.28, I could move my gnome extensions 

to /usr/share/gnome-shell/extensions
and with some adjustments (refer to my comments with bug  1473935
these extensions would be globally available.

This part is not working with Gnome 3.28.  There is no indication that this feature was rescinded, so I presume it is a bug.
 

Version-Release number of selected component (if applicable):

Gnome 3.28

How reproducible:



Steps to Reproduce:
1. See additional info below.
2.
3.

Actual results:


Expected results:


Additional info:
Implementation is as follows:

 I have this similar problem with Fedora 28. And I will open a ticket for same

With gnome 3.26 (Fedora 27) I am able to, respecting ownership and permissions:

1) move all gnome extensions to 
/usr/share/gnome-shell/extensions/EXTENSION_FILES

2) copy the org*.xml files from each EXTENSION_FILE/schema 
to
   /usr/share/glib-2.0/schemas

3) Compile 
glib-compile-schemas /usr/share/glib-2.0/schemas

and those extensions would be globally available to each logon (on reboot)

Extensions placed here are aret working.  Was this feature rescinded or is it a gnome 3.28 bug?

Extension works if located in ~/.local/share/gnome-shell/extensions

Comment 1 MartinKG 2018-10-19 11:14:19 UTC
I am the maintainer of the following two packages
gnome-shell-extension-netspeed and gnome-shell-extension-media-player-indicator
same issue here:

The extensions works if located in ~/.local/share/gnome-shell/extensions

Comment 2 Ben Cotton 2019-05-02 20:37:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.